#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ServerURLData
{
	//ID
	std::string mID;
	//URL
	std::string mURL;
};

class M_ServerURL
{
public:
private:
	static std::auto_ptr<M_ServerURL> msSingleton;
public:
	int GetCount();
	const M_ServerURLData* GetData(std::string ID);
	boost::unordered_map<std::string, M_ServerURLData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ServerURL* GetSingleton();
private:
	boost::unordered_map<std::string, M_ServerURLData> mMapData;
};
